#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("DAYCHUNG.INP");
    int a[10000],b[10000],c[10000],v[1000],i,n,m;
    f1>>n>>m;
    for(i=0;i<n;i++)
    {
        f1>>a[i];
        c[a[i]] = 1;
    }
    int d= 0;
    for(i=0;i<m;i++)
    {
        f1>>b[i];
        if (c[b[i]] == 1) {v[d] = b[i]; d++;}
    }
    f1.close();
    ofstream f2("DAYCHUNG.OUT");
    f2 << d << endl;
    sort(v,v+d);
    for (int i = 0; i < d; i++) f2 << v[i] << " ";
    f2.close();
    return 0;
}
